
var game = new Phaser.Game(800, 600, Phaser.AUTO, 'phaser-example', { preload: preload, create: create, update: update });

function preload() {

    game.load.image('texture', 'wip/filters/tex07.jpg');

}

var filter;
var sprite;

function create() {

	var fragmentSrc = [

		"precision mediump float;",

		"uniform vec2      resolution;",
		"uniform float     time;",

		"#define PI 90",

		"void main( void ) {",

		"vec2 p = ( gl_FragCoord.xy / resolution.xy ) - 0.5;",

		"float sx = 0.3 * (p.x + 0.8) * sin( 900.0 * p.x - 1. * pow(time, 0.55)*5.);",

		"float dy = 4./ ( 500.0 * abs(p.y - sx));",

		"dy += 1./ (25. * length(p - vec2(p.x, 0.)));",

		"gl_FragColor = vec4( (p.x + 0.1) * dy, 0.3 * dy, dy, 1.1 );",

	"}"];

	filter = new Phaser.Filter(game, null, fragmentSrc);
	filter.setResolution(800, 600);

	sprite = game.add.sprite(0, 0, 'texture');
	sprite.width = 800;
	sprite.height = 600;

	sprite.filters = [ filter ];

}

function update() {

	filter.update();

}
